Subject: Re: bug#32814: Error running guix system container

From: [email-masked] (Ludovic Courtès)
Date: Wed, 26 Sep 2018 23:43:48 +0200

Julien Lepiller <[email-masked]> skribis:

> Hi, I built a container on a foreign distro using:
>
> guix system container config.scm
>
> but then, when I run it most services can't start. From inside the
> container I tried to start the postgresql service I configured and got
> this message from the shepherd:
>
> herd: exception caught while executing 'start' on service 'udev':
> In procedure open-file: No such file or directory:
> "/run/booted-system/kernel/lib/modules/4.9.0-7-amd64/modules.devname"

Commit 23784f0c3342a0fab5bf2a1c15c300b9f0856872 fixes it in a crude but
efficient way.  :-)

Commit 09b7300c01a8e7100467c6caae9b2c8d8e673971 also helps.

>From there I can spawn a ‘guix system container’ script just fine.  The
tty services fail to start, but that’s fine, we don’t need them; you can
still enter the container namespaces, run “herd status” etc.

Thanks,
Ludo’.